# -*- coding: utf-8 -*-

import logging

from pylons import tmpl_context as c
from pylons.controllers.util import redirect_to
from mpulsweb.lib.translation import _, ungettext

from mpulsweb.lib.helpers import url_for
from mpulsweb.lib.base import BaseController, session, render
from mpulsweb.model.user import UserObject


log = logging.getLogger(__name__)


MARK_NEWS_AS_READ_CONFIRM      = _(u"Mark message as read")
MARK_NEWS_AS_READ_CONFIRM_TEXT = _(u"""Do you really want to mark the message as read?
It will permanently disappear from the overview.""")

class NewsController(BaseController):

    def hide(self, id, confirmed=0):
        '''
        Will mark the news as read for the current user. The news will then not
        be displayed on the blackboard
        '''
        id = self._checkInt(id)
        confirmed = self._checkBool(confirmed)
        session_user = session['USER_AUTHORIZED']
        if confirmed == 1:
            user = UserObject(session_user.id)
            user.setNewsAsRead(id)
            redirect_to(controller='/')
        else:
            c.dialog_title = MARK_NEWS_AS_READ_CONFIRM
            c.dialog_text = MARK_NEWS_AS_READ_CONFIRM_TEXT
            c.url_yes = url_for(controller='/news', action='hide', id=id,
                                confirmed=1)
            c.url_no = url_for("/")
            return render('/news/dialogs/confirm_mark_news_as_read.mako')

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
