#!/usr/bin/env python
# -*- coding: utf-8 -*-

import codecs, sys

SEP = "\t"
TEXT = '"'

INSERT = "INSERT INTO fkz_tbl (id, name, fkz, database, bundesland_id) VALUES (%(id)s, '%(name)s', '%(fkz)s', 'ka_%(fkz)s_db', %(land_id)s);"

bundeslaender = {
    u'baden-württemberg':       0,
    u'bayern':                  1,
    u'berlin':                  2,
    u'brandenburg':             3,
    u'bremen':                  4,
    u'hamburg':                 5,
    u'hessen':                  6,
    u'mecklenburg-vorpommern':  7,
    u'niedersachsen':           8,
    u'nordrhein-westfalen':     9,
    u'rheinland-pfalz':        10,
    u'saarland':               11,
    u'sachsen':                12,
    u'sachsen-anhalt':         13,
    u'schleswig-holstein':     14,
    u'thüringen':              15
}

def main():
    R = codecs.getreader("UTF-8")
    W = codecs.getwriter("UTF-8")
    stdin  = R(sys.stdin)
    stdout = W(sys.stdout)

    fkz_id = 0

    print >> stdout, "BEGIN;"

    while True:
        line = stdin.readline()
        if not line: break
        line = line.strip()
        line = line.split(SEP)
        if len(line) < 4: continue
        fkz, name, land, db = map(lambda x: x.strip(TEXT).strip(), line[:4])
        land = land.lower()
        try:
            land = bundeslaender[land]
        except KeyError:
            print >> sys.stderr, "Bundesland '%s' nicht gefunden." % land
            land = -1

        print >> stdout, INSERT % {
            'id':      fkz_id, 
            'land_id': land, 
            'name':    name,
            'fkz':     fkz,
            'database':db }

        fkz_id += 1

    print >> stdout, "COMMIT;"

if __name__ == '__main__':
    main()
# vim: et sw=4 ts=2 si ai fenc=utf-8 :
