-- Autogenerated tag insert statements
DELETE FROM tags;
INSERT INTO tags (id, label, description) VALUES (0, 'Alle', 'Jede Fallakte hat einen Tag');
INSERT INTO tags (id, label, description) VALUES (1, 'Konsistent', 'Eine Fallakte ist konsistent, wenn alle Angaben bis zu jeweiligen
    Phase widerspruchsfrei sind.');
INSERT INTO tags (id, label, description) VALUES (2, 'Vollständig', 'Eine Akte ist vollständig, wenn alle Pflichtfeldangaben bis zur aktuellen Phase ungleich "keine Angabe" sind. Die Fallakte muss zudem in sich konsistent sein.');
INSERT INTO tags (id, label, description) VALUES (3, 'Auswertbar', 'Eine Akte ist auswertbar, wenn das Start- bzw. Enddatum einer der
    aktuellen Phase gesetzt ist. Die Fallakte muss zudem in sich konsistent sein.');
INSERT INTO tags (id, label, description) VALUES (4, 'Adele auswertbar', 'Eine Akte ist für Adele auswertbar, wenn die Geschlechtsangabe nicht unbekannt ist. Die Fallakte muss zudem grundsätzlich auswertbar sein.');
INSERT INTO tags (id, label, description) VALUES (10, 'Datumsangaben konsistent', 'Alle Datumsangaben in der Fallakte befinden sich in chronologisch korrekter Reihenfolge und liegen nicht in der Zukunft');
INSERT INTO tags (id, label, description) VALUES (1000, '"geburtsdatum" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1001, '"geburtsdatum" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1002, '"vater_gb" muss vor "geburtsdatum" liegen.', '"" darf zeitlich nicht nach "" liegen.');
INSERT INTO tags (id, label, description) VALUES (1003, '"geburtsdatum" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1004, '"geburtsdatum" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1005, '"geburtsdatum" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1006, '"geburtsdatum" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1007, '"geburtsdatum" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1008, '"geburtsdatum" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1009, '"geburtsdatum" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1010, '"mutter_gb" muss vor "geburtsdatum" liegen.', '"" darf zeitlich nicht nach "" liegen.');
INSERT INTO tags (id, label, description) VALUES (1011, '"geburtsdatum" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1012, 'Mindestdatum nicht gegeben', 'Das Datum muss nach dem 1.1.1970 liegen');
INSERT INTO tags (id, label, description) VALUES (1013, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1014, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_genehm_datum_1" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme" liegen.');
INSERT INTO tags (id, label, description) VALUES (1015, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_datum_bis_1" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1016, 'Ende Wiederaufnahme max 93Tage > als Genehmigung Wiederaufnahme', 'Zeitraum der genehmigten Wiederaufnahme zu groß');
INSERT INTO tags (id, label, description) VALUES (1017, '"cm_wiederauf_genehm_datum_1" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum Wiederaufnahme" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1018, '"cm_wiederauf_datum_bis_1" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"" darf zeitlich nicht nach "" liegen.');
INSERT INTO tags (id, label, description) VALUES (1019, '"cm_wiederauf_genehm_datum_1" muss vor "cm_wiederauf_datum_bis_1" liegen.', '"Datum Wiederaufnahme" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1020, 'Ende Wiederaufnahme max 93Tage > als Beendigung Wiederaufnahme 1', 'Zeitraum der genehmigten Wiederaufnahme zu groß');
INSERT INTO tags (id, label, description) VALUES (1021, '"kontakt" muss vor "nbetr_start" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1022, '"erstgespraech" muss vor "nbetr_ende" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1023, '"erstgespraech" muss vor "datum_cm_ende" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1024, '"mutter_gb" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1025, '"kontakt" muss vor "datum_cm_start" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1026, '"kontakt" muss vor "datum_bfplan" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1027, '"kontakt" muss vor "datum_cm_ende" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1028, '"vater_gb" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1029, '"erstgespraech" muss vor "nbetr_start" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1030, '"kontakt" muss vor "nbetr_ende" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1031, '"vater_gb" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1032, '"mutter_gb" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1033, '"erstgespraech" muss vor "datum_cm_start" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1034, '"erstgespraech" muss vor "datum_bfplan" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1035, '"kontakt" muss vor "erstgespraech" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1036, '"datum_cm_start" muss vor "nbetr_ende" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1037, '"datum_cm_start" muss vor "datum_bfplan" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1038, '"vater_gb" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1039, '"mutter_gb" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1040, '"datum_cm_start" muss vor "nbetr_start" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1041, '"datum_cm_start" muss vor "datum_cm_ende" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1042, '"mutter_gb" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1043, '"vater_gb" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1044, '"mutter_gb" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1045, '"mutter_gb" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1046, '"mutter_gb" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1047, '"mutter_gb" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1048, '"mutter_gb" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1049, '"mutter_gb" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1050, '"vater_gb" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1051, '"vater_gb" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1052, '"vater_gb" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1053, '"vater_gb" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1054, '"vater_gb" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1055, '"vater_gb" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1056, '"datum_bfplan" muss vor "nbetr_ende" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1057, '"datum_bfplan" muss vor "datum_cm_ende" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1058, '"datum_bfplan" muss vor "nbetr_start" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1059, 'Dauer der Verlängerung > 458 Tage nach Beginn CM', 'Ende der Verlängerung darf max 12 Monate + 3 Monate nach dem Beginn der Aufnahme in das CM liegen.');
INSERT INTO tags (id, label, description) VALUES (1060, '"cm_datum_verlaengerung_1" muss vor "cm_datum_verlaengerung_2" liegen.', '"Datum erste Verlängerung" darf zeitlich nicht nach "Datum zweite Verlängerung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1061, 'Dauer der Verlängerung > 93Tage nach Ende letzter Verlängerung', 'Ende der Verlängerung darf max 3 Monate nach dem Ende der ersten Verlängerung liegen');
INSERT INTO tags (id, label, description) VALUES (1062, '"datum_cm_ende" muss vor "nbetr_ende" liegen.', '"Datum Beendigung des Case Management" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1063, '"datum_cm_ende" muss vor "nbetr_start" liegen.', '"Datum Beendigung des Case Management" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1064, 'Phase NB darf nicht gestartet werden wenn Art der Beendigung keine erfolgreiche Reeintegration ist', 'Eine Nachbetreuung darf nur bei einer erfolgreichen Reintegration begonnen werden.');
INSERT INTO tags (id, label, description) VALUES (1065, 'Phase NB darf nur gestartet werden wenn eine Nachbetreuung geplant ist', 'Eine Nachbetreuung darf nur bei einer geplanten Nachbetreuung begonnen werden.');
INSERT INTO tags (id, label, description) VALUES (1066, '"nbetr_start" muss vor "nbetr_ende" liegen.', '"Datum Start der Nachbetreuung" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
