BEGIN;

-- 
-- Add Evaluation to master table
-- 

ALTER TABLE master_tbl DISABLE TRIGGER ALL;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('1.2.0/01-schulform.sql', current_timestamp);

CREATE TABLE cm_end_sonst_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(50) NOT NULL
);

REVOKE ALL ON TABLE cm_end_sonst_tbl FROM PUBLIC;
REVOKE ALL ON TABLE cm_end_sonst_tbl FROM :db_adm;
GRANT ALL ON TABLE cm_end_sonst_tbl TO :db_adm;
GRANT SELECT ON TABLE cm_end_sonst_tbl TO :cm_group; 
GRANT SELECT ON TABLE cm_end_sonst_tbl TO :admin_group; 

INSERT INTO cm_end_sonst_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (1, 'Umzug');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (2, 'Schwangerschaft');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (3, 'Krankheit / Klinikaufenthalt / Therapie');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (4, 'Überschreitung Förderzeitraum');

INSERT INTO cm_end_sonst_tbl (id, value) VALUES (5, 'Haft/Strafvollzug');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (6, 'Ausbildung, Arbeit');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (7, 'Vermittlung: Berufsvorbereitung (BVJ/AVJ/BVB)');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (8, 'Vermittlung: Schulformwechsel / Schulwechsel');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (9, 'Vermittlung: Stationäre Unterbringung / Heim / WG');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (10, 'Schulpflichterfüllung'); 

ALTER TABLE  cm_end_schul_tbl ALTER value TYPE VARCHAR(33);
INSERT INTO cm_end_schul_tbl (id, value) VALUES (7, 'verbundene Haupt- und Realschul e');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (8, 'Gemeinschaftsschule');

ALTER TABLE  schulform_tbl ALTER value TYPE VARCHAR(33);
INSERT INTO schulform_tbl (id, value) VALUES (7, 'verbundene Haupt- und Realschule');
INSERT INTO schulform_tbl (id, value) VALUES (8, 'Gemeinschaftsschule');

ALTER TABLE master_tbl DROP CONSTRAINT master_tbl_cm_end_sonst_fkey;
ALTER TABLE master_tbl ADD FOREIGN KEY (cm_end_sonst) REFERENCES cm_end_sonst_tbl (id);

-- Finish
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;
