#!/bin/sh
DBLIST=${1}
PORT=${2:-5432}
PWD=`pwd`
WD=`basename ${PWD}`
SCRIPTDIR=/var/lib/postgresql/werkbank/roland/db_setup_waska2
UPDATEDIR=${SCRIPTDIR}/upgrade/update_2_0/update
UPDATES="01_tagebuch.sql 02_rg_fehlzeiten.sql 03_rg_probleme.sql 04_rg_bezugspersonen.sql 05_rg_hilfsmassnahmen.sql 06_rg_vereinbarungen.sql 07_rg_elternarbeit.sql 08_rg_ansprechpartner.sql 99_undo_master_hybrid.sql"

if [ -e update_success.log ]; then
	rm update_success.log
fi
if [ -e update_error.log ]; then
	rm update_error.log
fi
touch update_success.log
touch update_error.log


echo "Starting updating databases"
for db in `cat $DBLIST`
do
	cd ${PWD}/ka_${db}_db
	if [ -e update_log.log ]; then
		rm update_log.log
	fi
	touch update_log.log
	
	printf "Updating %s... " ${db}
	for update in ${UPDATES}
	do
		echo ${update} >> update_log.log
		${SCRIPTDIR}/bin/upgrade.sh ${UPDATEDIR}/${update} ${db} ${PORT} >> update_log.log 2>&1
		egrep -m 1 -A 5 '(ERROR|FEHLER)' update_log.log
		#psql -p ${PORT} ka_${db}_db -f ${UPDATEDIR}/${update} >> update_log.log 2>&1
		if [ $? -eq 0 ]; then
			break
		fi
	done
	egrep -m 1 -A 5 '(ERROR|FEHLER)' update_log.log
	if ! [ $? -eq 0 ]; then
		printf "Ok\\n"
		echo $db >> ../update_success.log
	else
		printf "Failed\\n"
		echo $db ": " $update >> ../update_error.log
		break
	fi
	cd ..
done
printf "Ready."
echo "1. Next step: wc -l update_error.log"
echo "2. Tag cases"
echo "3. Repair cases"
echo "4. Retag cases"
exit 0
